> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onswitch.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get assets

> Retrieve a list of all supported stablecoin assets.



## OpenAPI

````yaml /openapi.json get /asset
openapi: 3.0.3
info:
  title: Receive stablecoin. Get fiat in seconds.
  description: Stablecoin collection and settlement layer.
  version: 1.0.0
  contact:
    name: Switch Labs
    email: contact@onswitch.xyz
  license:
    name: Proprietary
  x-tagGroups:
    - name: Institution
      tags:
        - Institution
    - name: Miscellaneous
      tags:
        - Miscellaneous
    - name: History
      tags:
        - History
    - name: Payment
      tags:
        - Payment
    - name: Webhook
      tags:
        - Webhook
    - name: Offramp
      tags:
        - Offramp
    - name: Onramp
      tags:
        - Onramp
    - name: Swap
      tags:
        - Swap
    - name: Developer
      tags:
        - Developer
    - name: Wallet
      tags:
        - Wallet
    - name: Compliance
      tags:
        - Compliance
servers:
  - url: https://api.onswitch.xyz
    description: Production server
security: []
tags:
  - name: Institution
    description: Institution discovery and bank or payment-rail lookup
  - name: Miscellaneous
    description: Requirements, coverage, assets, confirmation, and transaction status
  - name: History
    description: Payment history and summaries for the partner's account
  - name: Payment
    description: Saved payment beneficiaries, payment confirmation, and status
  - name: Webhook
    description: Webhook delivery history and callback resend
  - name: Offramp
    description: Offramp transaction endpoints for converting stablecoins to local currency
  - name: Onramp
    description: Onramp transaction endpoints for converting local currency to stablecoins
  - name: Swap
    description: Swap endpoints for exchanging between different stablecoin assets
  - name: Developer
    description: Developer fee balance and withdrawal
  - name: Wallet
    description: >-
      Wallet endpoints for creating and managing chain abstracted stablecoin
      wallets
  - name: Compliance
    description: AML compliance screening for PEP, sanctions, and other regulatory reasons
paths:
  /asset:
    get:
      tags:
        - Miscellaneous
      summary: Get assets
      description: Retrieve a list of all supported stablecoin assets.
      operationId: getAsset
      responses:
        '200':
          description: Successfully retrieved assets
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - status
                  - message
                  - timestamp
                  - data
                properties:
                  success:
                    type: boolean
                  status:
                    type: integer
                  message:
                    type: string
                  timestamp:
                    type: string
                    format: date-time
                  data:
                    type: array
                    items:
                      type: object
                      required:
                        - id
                        - name
                        - code
                        - decimals
                        - address
                        - blockchain
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        code:
                          type: string
                        decimals:
                          type: integer
                        address:
                          type: string
                        blockchain:
                          type: object
                          required:
                            - id
                            - name
                          properties:
                            id:
                              type: integer
                            name:
                              type: string
                        offramp_supported:
                          type: boolean
                        onramp_supported:
                          type: boolean
                        swap_supported:
                          type: boolean
                        wallet_supported:
                          type: boolean
              example:
                success: true
                message: Assets fetched successfully
                timestamp: '2026-04-18T14:22:08.631Z'
                data:
                  - id: base:usdc
                    name: USD Coin
                    code: USDC
                    decimals: 6
                    address: '0x833589fcd6edb6e08f4c7c32d4f71b54bda02913'
                    blockchain:
                      id: 8453
                      name: Base
                    offramp_supported: true
                    onramp_supported: true
                    swap_supported: true
                    wallet_supported: true
                  - id: ethereum:usdc
                    name: USD Coin
                    code: USDC
                    decimals: 6
                    address: '0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48'
                    blockchain:
                      id: 1
                      name: Ethereum
                    offramp_supported: true
                    onramp_supported: true
                    swap_supported: true
                    wallet_supported: true
                status: 200
      security:
        - ServiceKey: []
components:
  securitySchemes:
    ServiceKey:
      type: apiKey
      in: header
      name: x-service-key
      description: Service key for API authentication

````